Subject: Re: bug#5809: 23.1.94; cross-reference by anchor yields in accurate position

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Apr 2010 23:49:49 +0300

> Date: Thu, 01 Apr 2010 23:22:41 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> For the trunk, isn't it true that the function which actually goes to
> a location is Info-find-node-2, and that all the others call it?  If
> so, this is the main place to account for the inserted breadcrumbs.
> We could maintain in some data structure the buffer positions and
> length of each breadcrumbs line we insert, and then use that data
> structure in Info-find-node-2 to compute the summary offset to be
> applied in the current node.

Here's another, perhaps better idea: how about if, instead of
inserting breadcrumbs as text into the buffer, we put an overlay there
with a display property whose value is the breadcrumbs as a string?
This way, buffer positions are not affected at all.